/* Prefs.c
 * 
 * Author: Ben Levitt
 * Last Updated: 7/9/2001
 * Version 1.2
 * 
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the license, or (at your
 * option) any later version.
 *      
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 *      
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include <Pilot.h>
#include "Prefs.h"


MenuHackPreferenceType GetPrefs(void)
{
    Word prefsSize;
	MenuHackPreferenceType prefs;
	

	// Read the saved preferences / saved-state information.
	prefsSize = sizeof(MenuHackPreferenceType);
	if (PrefGetAppPreferences(myCreator, prefID, &prefs, &prefsSize, true) == 
		noPreferenceFound)
		{
			// default preferences entry
			prefs.delay = 50;
			prefs.drag = 6;
			prefs.width = 20;
			prefs.betterMenus = true;
			prefs.betterPopups = true;
			prefs.thwart = true;
			PrefSetAppPreferences(fileCreator, prefID, prefVersionNum,
				&prefs, prefsSize, true);
		}
	
	return prefs;
}
